#ifndef KINEMATICS_H
#define KINEMATICS_H

#include <vector>

//Rotary delta robot parameters from file : /home/user/linuxcnc/lib/hallib/sim_rdelta.hal
//Kinematics : /home/user/linuxcnc/src/emc/kinematics/rotarydeltakins-common.h

struct POS{
    double tranX=0,tranY=0,tranZ=0;
    double J0=0,J1=0,J2=0;
    bool error=0;

    //platformradius
    double platformradius=10;
    //thighlenght
    double thighlength =10;
    //shinlenght
    double shinlength =18;
    //footradius
    double footradius = 5;
};
extern std::vector<POS> VPOS;

class kinematics
{
public:
    kinematics();
    POS kinematic_fwd(POS);
    POS kinematic_inv(POS);

    int inverse_J0(POS p, double x, double y, double z, double *theta);
    void rotate(double *x, double *y, double theta);
    void test();
};

#endif // KINEMATICS_H
